Subject: Re: next-20230809: kvm unittest fail: emulator

From: Sean Christopherson <[email-masked]>
Date: Fri, 11 Aug 2023 07:30:25 -0700

On Fri, Aug 11, 2023, Srikanth Aithal wrote:
> On 8/11/2023 4:15 AM, Sean Christopherson wrote:
> > On Thu, Aug 10, 2023, Srikanth Aithal wrote:
> > > Hello,
> > > 
> > > On linux-next 20230809 build kvm emulator unittest failed.
> > > 
> > > ===================
> > > Recreation steps:
> > > ===================
> > > 
> > > 1. git clone https://gitlab.com/kvm-unit-tests/kvm-unit-tests.git
> > > 2. export QEMU=<location of QEMU binary> I used v8.0.2
> > > 3. cd kvm-unit-tests/;./configure;make standalone;tests/emulator
> > 
> > What hardware are you running on?  I've tested on a variety of hardware, Intel
> > and AMD, and haven't observed any problems.
> I am running it on Dell PowerEdge r6515. Same tests were passing till
> next-20230808.

Ah, let me try an actual linux-next build (once I get the darn thing to compile).
I was assuming I broke something in kvm-x86/next and so was testing that.  But I
haven't pushed to kvm-x86/next since 08/03, so presumably the bug came in from
somewhere else.

Ugh, it's probably one of the recent mitigations.  Those things always break stuff
due to getting thrown in without going through the usual channels.

<time passes>

*sigh*  Yep.  Everything is hunky dory until I turn on CONFIG_CPU_SRSO.  I'll dig
into it today.